wallet-core/configure
2017-05-23 13:18:23 +02:00

40 lines
841 B
Bash
Executable File

#!/usr/bin/env bash
set -eu
node_version=$(node --version)
if [ ! "$?" -eq 0 ]; then
echo 'Error: node executable not found.'
echo 'If you are using ubuntu or debian, try installing the'
echo 'node-legacy package or symlink node to nodejs.'
exit 1
fi
echo "Using node ${node_version}"
if ! node -p 'process.exit(!(/v([0-9]+)/.exec(process.version)[1] >= 4))'; then
echo 'Your node version is too old, use something >v4.x.x'
exit 1
fi
if ! yarn --version &>/dev/null; then
echo 'Error: yarn missing. See https://yarnpkg.com/en/docs/install'
exit 1
fi
if ! find --version &>/dev/null; then
echo 'Error: find missing'
exit 1
fi
if ! xargs --version &>/dev/null; then
echo 'Error: xargs missing'
exit 1
fi
if ! msgmerge --version &>/dev/null; then
echo "Warning: msgmerge missing, i18n won't work"
exit 1
fi